Subject: Re: bug#4134: 23.1; Buffer Tab not being linked properly

From: Glenn Morris <[email-masked]>
Date: Sat, 22 Aug 2009 19:06:38 -0400

David Ronis wrote:

> When I build basic system utilities (emacs is one of them), I break out
> of garnome (by unsetting environment variables) and build/install.  As
> such emacs links against slackware's libs.  Even so, running in the
> garnome environment still worked, until now.  In fact, my problem goes
> away if I run in the garnome-free environment, and I can hack a fix, by
> calling emacs from a script.

That's probably what I'd do.

> Since I'm usually running gnome, I rebuilt emacs in the garnome
> environment.  The build completed, but the resulting emacs has the
> problem.  My bet is that one of the more recent gnome libs (probably gtk
> +) is at fault.  I'm using gtk+2.17.8 here.  

AFAIK, there should be no problems with recent versions of gtk libraries.

> Any suggestions how to pin this down? 

Sorry, no idea. Maybe someone else on this list can help...